summaryrefslogtreecommitdiff
path: root/debian/hurd.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/hurd.postinst')
-rw-r--r--debian/hurd.postinst38
1 files changed, 38 insertions, 0 deletions
diff --git a/debian/hurd.postinst b/debian/hurd.postinst
new file mode 100644
index 00000000..98945eed
--- /dev/null
+++ b/debian/hurd.postinst
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+set -e
+
+update-alternatives --quiet \
+ --install /libexec/runsystem runsystem /libexec/runsystem.gnu 20
+
+update-alternatives \
+ --install /usr/bin/fakeroot fakeroot /usr/bin/fakeroot-hurd 30
+
+update-alternatives \
+ --install /bin/ps ps /bin/ps-hurd 60
+
+update-alternatives \
+ --install /usr/bin/uptime uptime /usr/bin/uptime-hurd 30
+
+update-alternatives \
+ --install /usr/bin/vmstat vmstat /usr/bin/vmstat-hurd 60
+
+update-alternatives \
+ --install /usr/bin/w w /usr/bin/w-hurd 60
+
+if [ "$1" = configure ]; then
+ add-shell /bin/loginpr || true
+ if ! getent passwd login >/dev/null; then
+ adduser --disabled-password --quiet --system \
+ --home /etc/login --no-create-home --shell /bin/loginpr \
+ --gecos "login user" --group login
+ fi
+fi
+
+#DEBHELPER#
+
+if [ "$1" = configure ] && [ "$2" ]; then
+ # Upgrade: create the missing device and server nodes
+ /usr/lib/hurd/setup-translators -K
+fi
+